OpenNMS API 1.2.9

## org.opennms.web.notification.bobject
Class NotifTarget

    java.lang.Object
      org.opennms.web.notification.bobject.NotificationTarget
          org.opennms.web.notification.bobject.NotifTarget

public class NotifTarget
extends NotificationTarget

A NotificationTarget representing another notifcation group parsed from the notifications.xml.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private java.lang.String` `m_interval` The overriding interval, takes precedence over the Notification interval.
`private Notification` `m_notification` The Notification object associated with this target
`private java.lang.String` `m_notifName` The name of the notification

Fields inherited from class org.opennms.web.notification.bobject.NotificationTarget
`TARGET_TYPE_GROUP, TARGET_TYPE_NOTIF, TARGET_TYPE_USER`

Constructor Summary
`NotifTarget()` Default Constructor

Method Summary
`java.lang.String` `getInterval()` Returns the interval to use for this target.
`Notification` `getNotification()` Returns the notification for this target
`java.lang.String` `getNotifName()` Returns the name of the notification
`int` `getType()` Returns the type of the target
`void` `setInterval(java.lang.String interval)` Sets the overriding interval for this target
`void` `setNotification(Notification notification)` Sets the Notification object for this target
`void` `setNotifName(java.lang.String name)` Sets the name of the notification target

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_notifName

    private java.lang.String m_notifName

  The name of the notification

### m_notification

    private Notification m_notification

  The Notification object associated with this target

### m_interval

    private java.lang.String m_interval

  The overriding interval, takes precedence over the Notification interval.

Constructor Detail

### NotifTarget

    public NotifTarget()

  Default Constructor

Method Detail

### setNotifName

    public void setNotifName(java.lang.String name)

  Sets the name of the notification target

  Parameters:
    `name` - the name of the notification target to be set.

### getNotifName

    public java.lang.String getNotifName()

  Returns the name of the notification

  Returns:
    the name of the notification target.

### setNotification

    public void setNotification(Notification notification)

  Sets the Notification object for this target

  Parameters:
    `notification` - the notification object to be set.

### getNotification

    public Notification getNotification()

  Returns the notification for this target

  Returns:
    the notification object.

### setInterval

    public void setInterval(java.lang.String interval)

  Sets the overriding interval for this target

  Parameters:
    `interval` - the overriding interval to be set.

### getInterval

    public java.lang.String getInterval()

  Returns the interval to use for this target. If an overriding interval was set that will be returned, otherwise the interval from the Notification will be returned.

  Returns:
    the interval for this object.

### getType

    public int getType()

  Returns the type of the target

  Specified by:
    `getType` in class `NotificationTarget`
  Returns:
    the target type, compare to NotificationTask.TARGET_TYPE_NOTIF.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.